Bug 82890 - [EFL] LayoutTestController needs implementation of setDefersLoading
Summary: [EFL] LayoutTestController needs implementation of setDefersLoading
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-02 05:17 PDT by Chris Dumez
Modified: 2012-05-06 22:48 PDT (History)
4 users (show)

See Also:


Attachments
Proposed patch (5.15 KB, patch)
2012-04-02 05:45 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Proposed patch (5.23 KB, patch)
2012-04-02 06:07 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Proposed patch (5.22 KB, patch)
2012-04-03 03:27 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2012-04-02 05:17:52 PDT
LayoutTestController needs implementation of setDefersLoading() in order to unskip loader/navigation-while-deferring-loads.html.
Comment 1 Chris Dumez 2012-04-02 05:45:51 PDT
Created attachment 135077 [details]
Proposed patch
Comment 2 Chris Dumez 2012-04-02 06:07:00 PDT
Created attachment 135081 [details]
Proposed patch
Comment 3 Gyuyoung Kim 2012-04-03 03:14:37 PDT
Comment on attachment 135081 [details]
Proposed patch

LGTM.
Comment 4 Chris Dumez 2012-04-03 03:27:53 PDT
Created attachment 135298 [details]
Proposed patch

Updated LayoutTests Changelog based on philn-tp's feedback.
Comment 5 WebKit Review Bot 2012-04-03 05:57:07 PDT
Comment on attachment 135298 [details]
Proposed patch

Clearing flags on attachment: 135298

Committed r113018: <http://trac.webkit.org/changeset/113018>
Comment 6 WebKit Review Bot 2012-04-03 05:57:11 PDT
All reviewed patches have been landed.  Closing bug.